package work.xuye.common.db.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @author yechuan
 * @since 2023/8/8 19:09
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NextTaskFilter {
    /**
     * 参与计算的jsonPath
     */
    private String filterArgs;

    /**
     * break 表示命中后不再继续尝试匹配其他的节点
     */
    private String mode;

    /**
     * 当前的唯一key，用于缓存判断是否变更
     */
    private String uniqueKey;

    /**
     * 后继节点配置
     */
    private List<NextNodeConfig> nextNodes;

    /**
     * spel表达式
     */
    private Map<String, String> placeholderExpressions = Map.of();

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class NextNodeConfig {
        /**
         * 消息往哪里个topic发 以通知后继任务执行
         */
        private String topic;

        /**
         * 需要满足的条件
         */
        private String condition;

        /**
         * 发送的对象
         */
        private String payload;
    }
}
