package work.xuye.common.utils.signature;

import work.xuye.common.dto.SignatureConfig;
import work.xuye.common.dto.SignatureContext;

import java.security.GeneralSecurityException;
import java.security.Signature;

/**
 * @author yechuan
 * @since 2023/8/8 14:42
 **/
public abstract class AbstractSignatureService {

    protected SignatureContext signatureContext;

    /**
     * 使用私钥加密
     *
     * @param context
     * @return
     * @throws GeneralSecurityException
     */
    public abstract String signatureByPriKey(String context) throws GeneralSecurityException;


    void init(SignatureConfig signatureConfig) throws GeneralSecurityException {
        signatureContext = new SignatureContext();
        signatureContext.setSignature(Signature.getInstance(signatureConfig.getSignatureAlgorithm()));
    }

}
