package work.xuye.helper.properties;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import work.xuye.helper.checker.NewsTypeEnum;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author xuye
 * @since 2023/1/14 21:50
 **/
@Slf4j
@Data
@Component
@ConfigurationProperties(prefix = HelperProperties.PROPERTIES_PREFIX)
public class HelperProperties {


    public static final String PROPERTIES_PREFIX = "helper";
    private String sourceDbName;
    private String targetDbName;
    private Map<NewsTypeEnum, List<Integer>> taskTypeIdMap;

    /**
     * 对比字段时，忽略的字段
     */
    private Set<String> equalsIgnoreField;


    /**
     * 触发抽检的阈值
     */
    private int threshold = 1000;

    /**
     * 抽检的比例
     */
    private double sampleRate = 0.1;


}
